body {
    height: 100vh; /* 拉到 100% 瀏覽視窗的高度 */
    display: flex; /* 版面設定 */
    flex-direction: column; /* 版面設定 1 縱向排列 */
    align-items: center; /* 版面設定 3 縱向置中 */
    background-color: #EDEDED; /* 設定背景顏色 */
}

#welcome {
    font-size: 8rem; /* 設定字級大小 */
    padding-top: 80px;
}

#subwelcome {
    font-size: 2rem; /* 設定字級大小 */
}

 .question-container {
     width: 100%;
 }

 .question-card {
     margin: 30px;
     margin-top: 0;
 }

 .card-btn {
     float: right;
 }

 .img-container {
     width: 100%;
     margin-top: 1rem;
     margin-bottom: 1rem;
     text-align: center;
 }

 textarea.form-control {
     text-align: center;
     font-size: 1rem;
     height: 200px;
     text-align: left;
 }

 .text-center {
     width: 100%;
     text-align: center;
 }

 #six-number {
     width: 70%;
     margin: auto;
 }

 #produced {
     font-size: 1rem;
     color: #BBBBBB;
 }

 .q-btn {
     margin-left: 0.5rem;
     margin-top: 0.5rem;
 }

 .date-ans {
     width: 5rem;
 }

.date-formular {
    display: inline-block;
}

.date-text {
    font-size: 2rem;
}

.img-q2 {
    width: 80%;
}

.hint-text {
    font-size: 1.5rem;
    color: #41EAF9;
}

.code-text {
    font-size: 2rem;
    border-radius: 5px;
    border: 3px;
    border-color: #415DF9;
    border-style: inset;
}

#divCode2 {
    margin-top: 1rem;
}

#btn-start {
    width: 50%;
    height: 4rem;
    font-size: 2rem;
    margin-top: 3rem;
}

.buttons {
    width: 70%;
    margin: auto;
    display: flex
}

.op-btn {
    flex: 1;
    height: 4rem;
    font-size: 2rem;
    margin-left: 1rem;
    margin-right: 1rem;
    font-family: cursive;
}

.story {
    font-size: 1.5rem;
    color: #E341F9;
}

.cards-container {
    margin-top: 3rem;
    width: 100%;
}

.advertisement {
    width: 100%;
    padding: 0;
    background-color: rgba(20, 50, 80, 0.5);
    border-radius: 0.5rem;
}

.ad-container {
    width: 100%;
    padding-left: 25%;
    padding-right: 25%;
}

.ad-img {
    height: 300px;
	max-width: 100%;
	max-height: 100%;
    margin: 0px auto;
}

#send-container {
    width: 60%;
    padding-top: 2rem;
}

#send-input {
    font-size: 0.5rem;
}

#xxx {
    padding-top: 5rem;
    font-size: 2.5rem;
}

.text-container {
    width: 100%;
    padding: 3rem;
    padding-bottom: 0.5rem;
    display: flex;
}

.text-half {
    flex: 1;
    padding-left: 1rem;
    padding-right: 1rem;
    text-align: left;
}

#custom-text {
    height: 50px;
    font-size: 1.5rem;
}